Subject: Failure in loading charset map: JISX0208
From: Sigve Berge Hofland <[email-masked]>
To: [email-masked]
Date: Fri, 11 Jun 2010 12:53:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

My problem seems similar to bug#5249: 23.1.90 which has been closed,  
but I wasn't sure of the procedure of reopening, so I'm sending my  
report here. I hope that's all right.

When trying to 'make' 23.2 (from http://ftp.gnu.org/pub/gnu/emacs/ 
emacs-23.2.tar.gz) I get the following error (where '....' is '~/ 
Desktop/d'):

> Saving file ..../emacs-23.2/lisp/loaddefs.el...
> Failure in loading charset map: JISX0208
> make[2]: *** [autoloads] Error 255
> make[2]: Leaving directory `..../emacs-23.2/lisp'
> make[1]: *** [..../emacs-23.2/src/../lisp/loaddefs.el] Error 2
> make[1]: Leaving directory `..../emacs-23.2/src'
> make: *** [src] Error 2

I've tried './congfigure' with the options '--with-ns', '--with-ns -- 
with-x=no', and '--with-x'.

I've also tried the bzr version, and get a similar problem: ('....' =  
'/Users/sigve/Desktop/d/bzr-dir')

> Saving file ..../emacs/trunk/lisp/calendar/cal-loaddefs.el...
> Failure in loading charset map: JISX0208
> make[3]: *** [..../emacs/trunk/lisp/calendar/cal-loaddefs.el] Error  
> 255
> make[3]: Leaving directory `..../emacs/trunk/lisp'
> make[2]: *** [..../emacs/trunk/src/../lisp/loaddefs.el] Error 2
> make[2]: Leaving directory `..../emacs/trunk/src'
> make[1]: *** [src] Error 2
> make[1]: Leaving directory `..../emacs/trunk'
> make: *** [bootstrap] Error 2

The commands I used before this were:

> $ bzr init-repo emacs
> $ cd emacs
> $ bzr http://bzr.savannah.gnu.org/r/emacs/trunk/ trunk
> Branched 100577 revision(s).
> $ cd trunk
> $ ./configure --with-ns
> ...
> $  bzr pull
> Using saved parent location: http://bzr.savannah.gnu.org/r/emacs/ 
> trunk/
>  M  ChangeLog
>  M  Makefile.in
>  M  configure.in
>  M  etc/NEWS
> All changes applied successfully.
> Now on revision 100579.
> $ make bootstrap

In 'INSTALL.BZR' it says that with problems with 'loaddefs.el' one  
should try updating it, but then I get:

> ..../emacs/trunk/lisp sigve$ make autoloads
> EMACSLOADPATH=..../emacs/trunk/lisp LC_ALL=C ..../emacs/trunk/src/ 
> emacs -batch --no-site-file --multibyte -l autoload \
> 	   --eval "(setq generate-autoload-cookie \";;;###diary-autoload 
> \")" \
> 	   --eval "(setq generated-autoload-file \"..../emacs/trunk/lisp/ 
> calendar/diary-loaddefs.el\")" \
> 	   --eval "(setq make-backup-files nil)" \
> 	   -f batch-update-autoloads ..../emacs/trunk/lisp/calendar
> /bin/sh: line 1: ..../emacs/trunk/src/emacs: No such file or directory
> make: *** [..../emacs/trunk/lisp/calendar/diary-loaddefs.el] Error 127

I'm running Mac OS 10.4.11 on a G4 PPC processor (powerpc-apple- 
darwin8.11.0).

I hope that this report can be of some use, and apologize if it is not.

Best wishes
Sigve Berge Hofland